@import "../../../_mixins.scss";

.engineer-timesheet {
  .header {
    display: flex;
    justify-content: space-between;
    .date-input {
      display: flex;
      label.field__label-label {
        line-height: 2.5;
      }
      .date-range-box {
        display: flex;
        background: white;
        border: 1px solid #ccc;
        margin: 0px 10px;
        min-width: 150px;
        .date-value {
          width: 100%;
        }
      }
    }
    .field-section {
      padding: 0;
    }
    .left {
      font-weight: 600;
      display: flex;
      height: 30px;
      margin: 27px 0 0 0;
      .total-count {
        line-height: 30px;
        border-right: 1px solid #ccc;
        padding: 0 10px 0 0;
        img.daily-check-passed {
          margin: 0 0 0 5px;
        }
      }
      .total-count.green-check {
        color: green;
        background: url(/assets/icons/check.png) scroll no-repeat left 90px
          center !important;
      }
    }
    .right {
      width: 40vw;
      max-width: 460px;
    }
  }
  .left {
    .submit-btn,
    .save-btn {
      margin: 0 10px 0 10px;
    }
    font-weight: 600;
  }
  .timesheet-table {
    background: white;
    margin: -10px 10px 0 0;
    padding: 5px 0 5px 0;
    .table-header {
      display: grid;
      grid-template-rows: auto;
      text-align: left;
      grid-template-columns: 100px 1.7fr 1.8fr 1.8fr 1fr 2fr 2fr;
      width: 100%;
      font-weight: 600;
      padding: 5px 0 0 0;
      .column.date {
        margin-left: 10px;
      }
    }
    .time-row {
      border: 1px solid #ccc;
      padding: 10px 5px;
      margin: 10px;
      font-weight: 600;

      .sub-rows {
        margin: -20px 0 0 85px;
        width: 100%;
        .sub-row {
          display: grid;
          grid-template-rows: auto;
          text-align: left;
          grid-template-columns: 2.3fr 2.4fr 1.1fr 1.2fr 2fr 2fr 0.2fr;
          width: calc(100% - 100px);
          border-bottom: 1px solid #ccc;
          padding: 5px 0 5px 0;
          .actions {
            display: flex;
            img.d-pointer.icon-remove.edit-png {
              filter: invert(1);
              opacity: 0.6;
              margin: 0 5px 0 0;
              height: 15px;
            }
          }
        }
      }
      .disabled-row {
        background: #cccccc24 !important;
      }
      .error-subrow {
        border: 1px solid red;
      }
      .sub-row-edit {
        display: flex;
        flex-direction: column;
        background: #4444440f;
        width: calc(100% - 90px);
        margin: 3px 0 3px -10px;
        padding: 0 0 0 10px;

        .Connectwise {
          color: green;
          width: 86px;
          background: #00800014;
          border-radius: 12%;
          margin: 0px 0 -10px 0;
          text-align: center;
          margin: 0px 0 -10px -10px;
        }
        .action-btn {
          padding: 8px 0px 0 0;
          img.edit-png {
            filter: invert(0.5);
            padding: 5px 0 0 10px;
          }
        }
        .row-action-btn {
          float: right;
          button.square-btn.btn {
            margin: 0 35px 0 0;
          }
        }

        .field-section {
          padding: 5px 0px 0 0;
          margin: 0 10px 0 0;
        }
        .disabled-row {
          cursor: not-allowed !important;
          z-index: 99999 !important;
        }
        .buttons {
          display: flex;
          justify-content: space-between;
          margin: -15px 0 0 0;
          .right {
            padding: 10px;
          }
          .cancel-btn,
          .save-btn {
            color: #db7c20;
            margin: 0px 0 0px 0;
            font-weight: 600;
            cursor: pointer;
            padding: 5px 0px;
            display: inline;
            width: 60px !important;
            min-width: unset;
            border: 0;
            background: transparent;
            &:hover {
              font-weight: 800;
              text-decoration: underline;
            }
          }
        }
      }
      .content {
        padding: 0px 0 1px 0;
      }
      .add-another {
        color: #db7c20;
        margin: 2px 0 10px 75px;
        font-weight: 600;
        cursor: pointer;
        padding: 10px 0px;
        display: inline;
      }
      .confirm-help-icon.remove-timesheet-row {
        float: right;
        margin: 0px 4px 0 0;
        .icon-remove {
          width: 10px;
        }
      }
      .green-check {
        input {
          background: url(/assets/icons/check.png) scroll no-repeat right 0px
            center !important;
          border: 1px solid green;
        }
      }
    }
    .no-data {
      text-align: center;
      border: 1px solid #ccc;
      padding: 10px 5px;
      margin: 10px;
      font-weight: 600;
      max-height: 200px;
      overflow: auto;
    }
  }
  .Select.is-disabled > .Select-control {
    background-color: #e7e7e7 !important;
  }
}

.react-time-picker__wrapper {
  border: solid 1px #e5e5e5;
}
.no-data.error-message {
  border: 1px solid var(--danger);
  padding: 10px;
  color: var(--danger);
  background: white;
  font-size: var(--font-s);
  white-space: pre;
  text-align: left;
}
